package com.ruoyi.bst.feeLog.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.feeLog.domain.FeeLog;
import com.ruoyi.bst.feeLog.domain.FeeLogQuery;
import com.ruoyi.bst.feeLog.domain.FeeLogVO;

/**
 * 改价记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface FeeLogMapper
{
    /**
     * 查询改价记录
     *
     * @param id 改价记录主键
     * @return 改价记录
     */
    FeeLogVO selectFeeLogById(Long id);

    /**
     * 查询改价记录列表
     *
     * @param query 改价记录
     * @return 改价记录集合
     */
    List<FeeLogVO> selectFeeLogList(@Param("query")FeeLogQuery query);

    /**
     * 新增改价记录
     *
     * @param feeLog 改价记录
     * @return 结果
     */
    int insertFeeLog(FeeLog feeLog);

    /**
     * 修改改价记录
     *
     * @param feeLog 改价记录
     * @return 结果
     */
    public int updateFeeLog(@Param("data") FeeLog feeLog);

    /**
     * 删除改价记录
     *
     * @param id 改价记录主键
     * @return 结果
     */
    int deleteFeeLogById(Long id);

    /**
     * 批量删除改价记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFeeLogByIds(Long[] ids);
}
